<?php
/**
 * Sync tool.
 *
 * @package northmill-online-shared
 */

declare(strict_types=1);

/**
 * View parameters.
 *
 * @var array $params
 */

defined( 'ABSPATH' ) || exit;

?>
<div>
	<h3><?php echo esc_html( $params['title'] ); ?></h3>
	<?php
	if ( ! empty( $params['description'] ) ) {
		?>
		<p>
			<?php echo wp_kses_post( $params['description'] ); ?>
		</p>
		<?php
	}
	?>
	<button
		class="nms-admin-sync-tool button button-secondary"
		data-id="<?php echo esc_attr( $params['id'] ); ?>"
		id="<?php echo esc_attr( $params['id'] ); ?>">
		<?php echo esc_html( $params['button_text'] ); ?>
	</button>
</div>
